use Test::More tests => 4;
use Test::Exception;

use strict;
use warnings;

BEGIN {
	use_ok( 'DoseMe::Util::Test::Report' );
}

use DoseMe::Util::Test::Report;

my @dirs = qw|.|;

my $reporter = DoseMe::Util::Test::Report->new(dirs => \@dirs);

$reporter->report();

# These three methods ensure that all new methods are marked for unit testing, and that all of the tests match methods.
ok($reporter->get_unmarked_count() == 0,  "Ensure all methods are marked for testing");
ok($reporter->get_unclaimed_count() == 0, "Ensure all tests are claimed in testing");
ok($reporter->get_undeclared_claimed_count() == 0, "Ensure all test claims are for declared tests");
